    001package javax.visrec.spi;
    002
    003import javax.visrec.ml.classification.ClassifierBuilder;
    004
    005/**
    006 * Service to provide builders.
    007 *
    008 * @author Kevin Berendsen
    009 * @since 1.0
    010 */
    011public interface BuilderService {
    012
    013    /**
    014     * Creates a new instance of the {@link ClassifierBuilder}
    015     * @return classifier builder.
    016     */
    017    ClassifierBuilder newClassifierBuilder();
    018
    019}